VkViewport Struct Reference

`#include <vulkan.h>`

## Data Fields

float | x
float | y
float | width
float | height
float | minDepth
float | maxDepth

## Detailed Description

Definition at line 1980 of file vulkan.h.

## Field Documentation

## height

float VkViewport::height

Definition at line 1984 of file vulkan.h.

## maxDepth

float VkViewport::maxDepth

Definition at line 1986 of file vulkan.h.

## minDepth

float VkViewport::minDepth

Definition at line 1985 of file vulkan.h.

## width

float VkViewport::width

Definition at line 1983 of file vulkan.h.

## x

float VkViewport::x

Definition at line 1981 of file vulkan.h.

## y

float VkViewport::y

Definition at line 1982 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h